md=triangle(model(),'../Exp/Square.exp',100000.);
md=setmask(md,'all','');
md=parameterize(md,'../Par/SquareShelfConstrained.par');
md=setflowequation(md,'SSA','all');
md.cluster=generic('name',oshostname(),'np',3);

md.autodiff.isautodiff=true;
md.verbose.autodiff=true;
md.autodiff.independents={...
	independent('name','Thickness','type','vertex','nods',md.mesh.numberofvertices,'fov_forward_indices',(1:md.mesh.numberofvertices)')
	};

md.autodiff.dependents={...
	dependent('name','MaxVel','type','scalar')
	};

md.autodiff.driver='fov_forward';

md=solve(md,TransientSolutionEnum());
